function scrollToGenerator() {
  document.getElementById('generator').scrollIntoView({ behavior: 'smooth' });
}

function generateTitles() {
  const input = document.getElementById('titleInput').value;
  if (!input) return;

  const variations = [
    `The Ultimate Guide to ${input}`,
    `${input}: A Complete Overview`,
    `How to Master ${input} in 2024`,
    `${input}: Expert Tips and Tricks`,
    `Transform Your ${input} Today`
  ];

  const resultsContainer = document.getElementById('results');
  resultsContainer.innerHTML = '';

  variations.forEach(title => {
    const div = document.createElement('div');
    div.className = 'example-card';
    div.innerHTML = `
      <p>${title}</p>
      <button onclick="copyToClipboard('${title}')" class="primary-button">Copy</button>
    `;
    resultsContainer.appendChild(div);
  });
}

function copyToClipboard(text) {
  navigator.clipboard.writeText(text).then(() => {
    alert('Copied to clipboard!');
  });
}

document.addEventListener('DOMContentLoaded', () => {
  const titleInput = document.getElementById('titleInput');
  titleInput.addEventListener('keypress', (e) => {
    if (e.key === 'Enter') {
      generateTitles();
    }
  });
});